#3993 closed task (fixed)

Specify the RTEMS Classic API

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By: #3584, #3586, #3588, #3590, #3592, #3594, #3596, #3979, #3980, #3981, #3988, #3989, #3990
Blocking:

Description (last modified by Sebastian Huber)

For the RTEMS Qualification project we need a specification of the RTEMS Classic API. This specification can be used to generate an Interface Control Document (ICD), header files with Doxygen markup and content for the RTEMS Classic API Guide. The RTEMS Classic API is mainly defined in the following header files:

  • <rtems.h>
  • <rtems/config.h>
  • <rtems/extension.h>
  • <rtems/fatal.h>
  • <rtems/init.h>
  • <rtems/io.h>
  • <rtems/rtems/barrier.h>
  • <rtems/rtems/cache.h>
  • <rtems/rtems/clock.h>
  • <rtems/rtems/config.h>
  • <rtems/rtems/dpmem.h>
  • <rtems/rtems/event.h>
  • <rtems/rtems/intr.h>
  • <rtems/rtems/message.h>
  • <rtems/rtems/modes.h>
  • <rtems/rtems/mp.h>
  • <rtems/rtems/object.h>
  • <rtems/rtems/options.h>
  • <rtems/rtems/part.h>
  • <rtems/rtems/ratemon.h>
  • <rtems/rtems/region.h>
  • <rtems/rtems/sem.h>
  • <rtems/rtems/signal.h>
  • <rtems/rtems/status.h>
  • <rtems/rtems/support.h>
  • <rtems/rtems/tasks.h>
  • <rtems/rtems/timer.h>
  • <rtems/rtems/types.h>
  • <rtems/score/stack.h>

Examples for interface specification items are available here:

https://git.rtems.org/sebh/rtems-qual.git/tree/spec/if/rtems/status

You find an example for a generated header file here:

https://git.rtems.org/sebh/rtems.git/tree/cpukit/include/rtems/rtems/status.h?h=qual

The header files are generated by this script:

https://git.rtems.org/sebh/rtems-qual.git/tree/spec2rtems.py

As preliminary work, remove all RTEMS APIs deprecated in RTEMS 5.1.

Use and improve the Interface Specification How-To during the work on this ticket.

Carry out the following tasks for each header file:

  1. Add a interface specification item for each variable, typedef, enum, enumerator, define, macro, function, struct, and union.
  1. For each item analyse the change history using git log -p --follow to determine the copyright holders of the Doxygen markup. Use only Doxygen markup for the specification items from contributors which agreed on a dual-licensing (CC-BY-SA-4.0 OR BSD-2-Clause) in #3899. Use this information to provide copyright statements for the items. The API parts alone (e.g. function names, parameter names, type names, etc.) are not considered to be copyrightable information.
  1. Use the RTEMS documentation sources to document the API. Use only content from contributors which agreed on a dual-licensing (CC-BY-SA-4.0 OR BSD-2-Clause) in #3899.
  1. Add unspecified interface items for interfaces to the implementation, C language, compiler, user provided defines, build system provided defines, etc.
  1. Run the RTEMS test suite with all tests enabled and check for regressions (in particular new warnings).
  1. Create a commit for each header file and send it to the RTEMS mailing list for review.

Change History (108)

comment:1 Changed on 06/01/20 at 11:16:17 by Sebastian Huber

Blocked By: 3584, 3588, 3590, 3592, 3594, 3596, 3686, 3979, 3980, 3981, 3988, 3989, 3990 added
Description: modified (diff)

comment:2 Changed on 06/01/20 at 11:17:38 by Sebastian Huber

Blocked By: 3686 removed

comment:3 Changed on 06/01/20 at 11:19:05 by Sebastian Huber

Blocked By: 3586 added

comment:4 Changed on 06/01/20 at 11:46:42 by Sebastian Huber

Description: modified (diff)

comment:5 Changed on 06/04/20 at 12:32:13 by Sebastian Huber

Description: modified (diff)
Owner: set to Sebastian Huber
Status: assignedaccepted

comment:6 Changed on 06/04/20 at 17:38:29 by Sebastian Huber

Description: modified (diff)

comment:7 Changed on 09/03/20 at 05:00:43 by Sebastian Huber <sebastian.huber@…>

In 16ee8cf/rtems-docs:

c-user: Split up semaphore manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:8 Changed on 09/03/20 at 05:00:46 by Sebastian Huber <sebastian.huber@…>

In ba6825c/rtems-docs:

c-user: Split up event manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:9 Changed on 09/03/20 at 05:00:48 by Sebastian Huber <sebastian.huber@…>

In 91f0f97/rtems-docs:

c-user: Split up barrier manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:10 Changed on 09/03/20 at 05:00:50 by Sebastian Huber <sebastian.huber@…>

In 86c39ef/rtems-docs:

c-user: Split up clock manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:11 Changed on 09/03/20 at 05:00:52 by Sebastian Huber <sebastian.huber@…>

In 623a9a1/rtems-docs:

c-user: Split up dual-ported memory manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:12 Changed on 09/03/20 at 05:00:54 by Sebastian Huber <sebastian.huber@…>

In 72295d4/rtems-docs:

c-user: Split up interrupt manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:13 Changed on 09/03/20 at 05:00:57 by Sebastian Huber <sebastian.huber@…>

In 980734f/rtems-docs:

c-user: Split up IO manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:14 Changed on 09/03/20 at 05:00:59 by Sebastian Huber <sebastian.huber@…>

In c75ded2/rtems-docs:

c-user: Split up message manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:15 Changed on 09/03/20 at 05:01:01 by Sebastian Huber <sebastian.huber@…>

In a4119a9/rtems-docs:

c-user: Split up partition manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:16 Changed on 09/03/20 at 05:01:03 by Sebastian Huber <sebastian.huber@…>

In 082054b/rtems-docs:

c-user: Split up rate-monotonic manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:17 Changed on 09/03/20 at 05:01:05 by Sebastian Huber <sebastian.huber@…>

In aebb6fd/rtems-docs:

c-user: Split up region manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:18 Changed on 09/03/20 at 05:01:08 by Sebastian Huber <sebastian.huber@…>

In e3523ed/rtems-docs:

c-user: Split up signal manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:19 Changed on 09/03/20 at 05:01:10 by Sebastian Huber <sebastian.huber@…>

In ccb384b/rtems-docs:

c-user: Split up task manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:20 Changed on 09/03/20 at 05:01:12 by Sebastian Huber <sebastian.huber@…>

In a99bbae/rtems-docs:

c-user: Split up timer manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:21 Changed on 09/03/20 at 05:01:14 by Sebastian Huber <sebastian.huber@…>

In 80df4d6/rtems-docs:

c-user: Split up user extensions manager

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:22 Changed on 09/03/20 at 05:01:16 by Sebastian Huber <sebastian.huber@…>

In ba9dfcf/rtems-docs:

c-user: Split up scheduling concepts

Introduce a background section.

This makes it easier to automatically generate parts of the scheduling
concepts documentation in the future.

Update #3993.

comment:23 Changed on 09/18/20 at 16:57:09 by Sebastian Huber <sebastian.huber@…>

In 0b410b8a/rtems:

rtems: Generate <rtems.h>

Change license to BSD-2-Clause according to file history and
documentation re-licensing agreement.

Update #3053.
Update #3899.
Update #3993.

comment:24 Changed on 10/08/20 at 05:40:38 by Sebastian Huber <sebastian.huber@…>

In f815d04/rtems:

rtems: Add "Generated from ..." comments

Improve file header comment.

Update #3993.

comment:25 Changed on 10/11/20 at 13:27:04 by Sebastian Huber <sebastian.huber@…>

In 4aae24d/rtems-docs:

c-user: Generate I/O Manager documentation

The manager documentation is a consolidation of the comments in Doxygen
markup and the documentation sources in Sphinx markup. The
documentation was transfered to interface specification items. This
header file was generated from the items by a script.

Update #3993.

comment:26 Changed on 10/11/20 at 14:07:39 by Sebastian Huber <sebastian.huber@…>

In 8111a6ba/rtems:

rtems: Generate <rtems/io.h>

The manager documentation is a consolidation of the comments in Doxygen
markup and the documentation sources in Sphinx markup. The
documentation was transfered to interface specification items. This
header file was generated from the items by a script.

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:27 Changed on 11/12/20 at 06:47:02 by Sebastian Huber <sebastian.huber@…>

In ec4dcc0/rtems-docs:

c-user: Generate Event Manager documentation

The manager documentation is a consolidation of the comments in Doxygen
markup and the documentation sources in Sphinx markup. The
documentation was transfered to interface specification items. This
header file was generated from the items by a script.

Update #3993.

comment:28 Changed on 11/12/20 at 06:47:04 by Sebastian Huber <sebastian.huber@…>

In 530bc2b/rtems-docs:

c-user: Generate Partition Manager documentation

The manager documentation is a consolidation of the comments in Doxygen
markup and the documentation sources in Sphinx markup. The
documentation was transfered to interface specification items. This
header file was generated from the items by a script.

Update #3993.

comment:29 Changed on 11/12/20 at 07:55:26 by Sebastian Huber <sebastian.huber@…>

In 1af94608/rtems:

rtems: Generate <rtems/config.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:30 Changed on 11/12/20 at 07:55:30 by Sebastian Huber <sebastian.huber@…>

In da44df3/rtems:

rtems: Generate <rtems/rtems/config.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:31 Changed on 11/12/20 at 07:55:33 by Sebastian Huber <sebastian.huber@…>

In c0327d8/rtems:

rtems: Generate <rtems/rtems/status.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:32 Changed on 11/12/20 at 07:55:37 by Sebastian Huber <sebastian.huber@…>

In e05b100/rtems:

rtems: Generate <rtems/rtems/modes.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:33 Changed on 11/12/20 at 07:55:40 by Sebastian Huber <sebastian.huber@…>

In 8de874b/rtems:

rtems: Generate <rtems/rtems/options.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:34 Changed on 11/12/20 at 07:55:44 by Sebastian Huber <sebastian.huber@…>

In 9b4458e7/rtems:

rtems: Generate <rtems/rtems/types.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:35 Changed on 11/12/20 at 07:55:47 by Sebastian Huber <sebastian.huber@…>

In f75e240/rtems:

rtems: Generate <rtems/rtems/attr.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:36 Changed on 11/12/20 at 07:55:50 by Sebastian Huber <sebastian.huber@…>

In 007ee13/rtems:

rtems: Generate <rtems/rtems/event.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:37 Changed on 11/12/20 at 07:55:54 by Sebastian Huber <sebastian.huber@…>

In ecc6b2f/rtems:

rtems: Generate <rtems/rtems/part.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:38 Changed on 11/12/20 at 07:55:57 by Sebastian Huber <sebastian.huber@…>

In 21af871/rtems:

rtems: Generate <rtems/score/basedefs.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:39 Changed on 11/20/20 at 13:27:03 by Sebastian Huber <sebastian.huber@…>

In 05f06aa/rtems-docs:

c-user: Split up object services

This makes it easier to automatically generate parts of the module
documentation in the future.

Update #3993.

comment:40 Changed on 12/01/20 at 13:42:47 by Sebastian Huber <sebastian.huber@…>

In 7995329/rtems:

rtems: Fix documentation in <rtems/rtems/part.h>

Update #3993.

comment:41 Changed on 12/01/20 at 13:46:11 by Sebastian Huber <sebastian.huber@…>

In 284e8d0/rtems-docs:

c-user: Fix format in Partition Manager

Update #3993.

comment:42 Changed on 12/02/20 at 07:20:08 by Sebastian Huber <sebastian.huber@…>

In 29e6caa/rtems-docs:

c-user: Clarify rtems_partition_create()

The rtems_partition_create() returns an object identifier and not just a
partition identifier.

Update #3993.

comment:43 Changed on 12/02/20 at 07:20:10 by Sebastian Huber <sebastian.huber@…>

In 346bbe6/rtems-docs:

c-user: Clarify rtems_partition_delete()

Move the PTCB sentence to the notes to be in line with
rtems_partition_create().

Update #3993.

comment:44 Changed on 12/02/20 at 07:20:44 by Sebastian Huber <sebastian.huber@…>

In 8756d5c/rtems:

rtems: Clarify rtems_partition_create()

The rtems_partition_create() returns an object identifier and not just a
partition identifier.

Update #3993.

comment:45 Changed on 12/02/20 at 07:20:47 by Sebastian Huber <sebastian.huber@…>

In 5a285e3/rtems:

rtems: Clarify rtems_partition_delete()

Move the PTCB sentence to the notes to be in line with
rtems_partition_create().

Update #3993.

comment:46 Changed on 12/02/20 at 07:31:31 by Sebastian Huber <sebastian.huber@…>

In 66bcecf/rtems-docs:

c-user: Clarify invalid identifier descriptions

Update #3993.

comment:47 Changed on 12/02/20 at 07:34:30 by Sebastian Huber <sebastian.huber@…>

In 1af4493/rtems:

rtems: Clarify invalid identifier descriptions

Update #3993.

comment:48 Changed on 12/03/20 at 06:25:06 by Sebastian Huber <sebastian.huber@…>

In 65969c1/rtems:

rtems: Generate <rtems/rtems/object.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:49 Changed on 12/03/20 at 06:25:18 by Sebastian Huber <sebastian.huber@…>

In 768327d0/rtems:

rtems: Generate <rtems/rtems/timer.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:50 Changed on 12/09/20 at 08:20:55 by Sebastian Huber <sebastian.huber@…>

In dad89ce/rtems-docs:

c-user: Generate Object Services documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:51 Changed on 12/09/20 at 08:20:57 by Sebastian Huber <sebastian.huber@…>

In d716c79/rtems-docs:

c-user: Generate Timer Manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:52 Changed on 01/27/21 at 05:02:10 by Sebastian Huber <sebastian.huber@…>

In b35ac99/rtems:

rtems: Add "Notes" paragraph header

Place the paragraphs in the same order as the directive documentation in
the RTEMS Classic API Guide.

Update #3993.

comment:53 Changed on 02/03/21 at 05:17:38 by Sebastian Huber <sebastian.huber@…>

In 8a95e6f8/rtems:

rtems: Rework object services API

Add a "Constraints" paragraph to the documentation.

Provide prototypes for programming language bindings. Use the macro
implementation to implement the corresponding functions.

Update #3993.

comment:54 Changed on 02/03/21 at 05:17:47 by Sebastian Huber <sebastian.huber@…>

In aa0060f4/rtems:

rtems: Clarify partition manager documentation

Unify the wording across similar directives of other managers. Add
"Constraints" paragraph.

Update #3993.

comment:55 Changed on 02/03/21 at 05:20:14 by Sebastian Huber <sebastian.huber@…>

In 95e2f93/rtems-docs:

c-user: Clarify object services

Add a "Constraints" paragraph to the documentation. Use function
prototypes for the directives.

Update #3993.

comment:56 Changed on 02/03/21 at 05:20:16 by Sebastian Huber <sebastian.huber@…>

In 66c9808/rtems-docs:

c-user: Clarify partition manager documentation

Unify the wording across similar directives of other managers. Add
"CONSTRAINTS" section.

Update #3993.

comment:57 Changed on 02/17/21 at 17:46:39 by Sebastian Huber <sebastian.huber@…>

In 4d9b0b4/rtems-docs:

c-user: Clarify timer manager documentation

Unify the wording across similar directives of other managers. Add
"CONSTRAINTS" section.

Update #3993.

comment:58 Changed on 02/17/21 at 17:46:42 by Sebastian Huber <sebastian.huber@…>

In 775380c/rtems-docs:

c-user: Clarify event manager documentation

Unify the wording across similar directives of other managers. Add
"CONSTRAINTS" section.

Update #3993.

comment:59 Changed on 02/17/21 at 17:46:46 by Sebastian Huber <sebastian.huber@…>

In e357ccf/rtems-docs:

c-user: Clarify IO manager documentation

Unify the wording across similar directives of other managers.

Update #3993.

comment:60 Changed on 02/17/21 at 17:46:48 by Sebastian Huber <sebastian.huber@…>

In 261491f/rtems-docs:

c-user: Clarify object services documentation

Unify the wording across similar directives of other managers.

Update #3993.

comment:61 Changed on 02/17/21 at 17:46:50 by Sebastian Huber <sebastian.huber@…>

In 4e09c09/rtems-docs:

c-user: Add labels to the manager chapters

Update #3993.

comment:62 Changed on 02/17/21 at 17:46:52 by Sebastian Huber <sebastian.huber@…>

In a1c5d68/rtems-docs:

c-user: Add control block acronyms

Update #3993.

comment:63 Changed on 02/17/21 at 17:46:55 by Sebastian Huber <sebastian.huber@…>

In 6985800/rtems-docs:

c-user: Move deprecated/removed directives

This makes it easier to automatically generate parts of the manager
documentation in the future.

Update #3993.

comment:64 Changed on 02/17/21 at 17:46:57 by Sebastian Huber <sebastian.huber@…>

In fd56f7e/rtems-docs:

c-user: Generate semaphore manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:65 Changed on 02/17/21 at 17:46:59 by Sebastian Huber <sebastian.huber@…>

In 62718ad/rtems-docs:

c-user: Generate barrier manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:66 Changed on 02/17/21 at 17:47:02 by Sebastian Huber <sebastian.huber@…>

In 4aead84/rtems-docs:

c-user: Generate user extensions manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:67 Changed on 02/17/21 at 17:47:04 by Sebastian Huber <sebastian.huber@…>

In a60c5b4/rtems-docs:

c-user: Generate clock manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:68 Changed on 02/17/21 at 19:26:45 by Sebastian Huber <sebastian.huber@…>

In 2730599c/rtems:

rtems: Clarify event manager documentation

Unify the wording across similar directives of other managers. Add
"CONSTRAINTS" section.

Update #3993.

comment:69 Changed on 02/17/21 at 19:26:49 by Sebastian Huber <sebastian.huber@…>

In f9dc44a/rtems:

rtems: Clarify timer manager documentation

Unify the wording across similar directives of other managers. Add
"CONSTRAINTS" section.

Update #3993.

comment:70 Changed on 02/17/21 at 19:26:52 by Sebastian Huber <sebastian.huber@…>

In bf3b9f45/rtems:

rtems: Clarify partition manager documentation

Unify the wording across similar directives of other managers.

Update #3993.

comment:71 Changed on 02/17/21 at 19:26:55 by Sebastian Huber <sebastian.huber@…>

In 7a1828ac/rtems:

rtems: Clarify IO manager documentation

Unify the wording across similar directives of other managers.

Update #3993.

comment:72 Changed on 02/17/21 at 19:26:59 by Sebastian Huber <sebastian.huber@…>

In 97825da/rtems:

rtems: Clarify object services documentation

Unify the wording across similar directives of other managers.

Update #3993.

comment:73 Changed on 02/17/21 at 19:27:02 by Sebastian Huber <sebastian.huber@…>

In 0c4c035/rtems:

rtems: Generate <rtems/rtems/barrier.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:74 Changed on 02/17/21 at 19:27:06 by Sebastian Huber <sebastian.huber@…>

In 2768280/rtems:

rtems: Generate <rtems/rtems/clock.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:75 Changed on 02/17/21 at 19:27:10 by Sebastian Huber <sebastian.huber@…>

In 407e351/rtems:

rtems: Generate <rtems/rtems/sem.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:76 Changed on 02/19/21 at 06:06:15 by Sebastian Huber <sebastian.huber@…>

In c87d8c2/rtems-docs:

c-user: Generate signal manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:77 Changed on 02/19/21 at 06:09:24 by Sebastian Huber <sebastian.huber@…>

In 8b1b9872/rtems:

rtems: Generate <rtems/rtems/signal.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:78 Changed on 04/19/21 at 05:18:08 by Sebastian Huber <sebastian.huber@…>

In 9bf0184/rtems-docs:

c-user: Document rtems_semaphore_obtain() errors

Update #3993.

comment:79 Changed on 04/22/21 at 05:13:44 by Sebastian Huber <sebastian.huber@…>

In f3262d4/rtems-docs:

c-user: Split up initialization manager

This makes it easier to automatically generate parts of the module
documentation in the future.

Update #3993.

comment:80 Changed on 04/22/21 at 05:13:46 by Sebastian Huber <sebastian.huber@…>

In 62ca9c1/rtems-docs:

c-user: Split up fatal error manager

This makes it easier to automatically generate parts of the module
documentation in the future.

Update #3993.

comment:81 Changed on 04/22/21 at 05:13:48 by Sebastian Huber <sebastian.huber@…>

In 86b48fb/rtems-docs:

c-user: Split up multiprocessing manager

This makes it easier to automatically generate parts of the module
documentation in the future.

Update #3993.

comment:82 Changed on 04/22/21 at 05:13:52 by Sebastian Huber <sebastian.huber@…>

In 5a3cb76/rtems-docs:

c-user: Generate initialization manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:83 Changed on 04/22/21 at 05:13:54 by Sebastian Huber <sebastian.huber@…>

In d946f30/rtems-docs:

c-user: Generate fatal error manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:84 Changed on 04/22/21 at 05:13:57 by Sebastian Huber <sebastian.huber@…>

In a995620/rtems-docs:

c-user: Generate multiprocessing manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:85 Changed on 04/22/21 at 05:13:59 by Sebastian Huber <sebastian.huber@…>

In 03fc1d6/rtems-docs:

c-user: Generate dual-ported memory manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:86 Changed on 04/22/21 at 05:14:39 by Sebastian Huber <sebastian.huber@…>

In 97ba94b/rtems:

rtems: Generate <rtems/fatal.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:87 Changed on 04/22/21 at 05:14:43 by Sebastian Huber <sebastian.huber@…>

In 71a2e7e/rtems:

rtems: Generate <rtems/init.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:88 Changed on 04/22/21 at 05:14:47 by Sebastian Huber <sebastian.huber@…>

In 0be4b882/rtems:

rtems: Generate <rtems/rtems/dpmem.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:89 Changed on 04/22/21 at 05:14:50 by Sebastian Huber <sebastian.huber@…>

In e8be0047/rtems:

rtems: Generate <rtems/rtems/mp.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:90 Changed on 04/22/21 at 05:14:54 by Sebastian Huber <sebastian.huber@…>

In b229b4c/rtems:

rtems: Generate <rtems/rtems/support.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:91 Changed on 04/23/21 at 06:32:43 by Sebastian Huber <sebastian.huber@…>

In 61cbbd2/rtems-docs:

c-user: Generate rate-monotonic manager docs

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:92 Changed on 04/23/21 at 06:32:45 by Sebastian Huber <sebastian.huber@…>

In 63a9e0c/rtems-docs:

c-user: Generate message manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:93 Changed on 04/23/21 at 06:44:36 by Sebastian Huber <sebastian.huber@…>

In 73a0175/rtems:

rtems: Generate <rtems/rtems/message.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:94 Changed on 04/23/21 at 06:44:40 by Sebastian Huber <sebastian.huber@…>

In de6e515/rtems:

rtems: Generate <rtems/rtems/ratemon.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:95 Changed on 04/28/21 at 07:02:58 by Sebastian Huber <sebastian.huber@…>

In 0b9e307/rtems:

rtems: Generate <rtems/rtems/intr.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:96 Changed on 04/28/21 at 07:03:03 by Sebastian Huber <sebastian.huber@…>

In b3d3186d/rtems:

rtems: Generate <rtems/rtems/region.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:97 Changed on 04/28/21 at 07:03:07 by Sebastian Huber <sebastian.huber@…>

In a1679af3/rtems:

rtems: Generate <rtems/rtems/tasks.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3899.
Update #3993.

comment:98 Changed on 04/28/21 at 07:04:10 by Sebastian Huber <sebastian.huber@…>

In f6b4337/rtems-docs:

c-user: Generate interrupt manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:99 Changed on 04/28/21 at 07:04:13 by Sebastian Huber <sebastian.huber@…>

In 4a3259f/rtems-docs:

c-user: Generate scheduling concepts documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:100 Changed on 04/28/21 at 07:04:19 by Sebastian Huber <sebastian.huber@…>

In 2ae3364/rtems-docs:

c-user: Generate task manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:101 Changed on 04/28/21 at 07:04:21 by Sebastian Huber <sebastian.huber@…>

In 35cbb42/rtems-docs:

c-user: Generate region manager documentation

The documentation is a consolidation of the comments in Doxygen markup
and the documentation sources in Sphinx markup. The documentation was
transfered to interface specification items. The documentation source
files were generated from the items by a script.

Update #3993.

comment:102 Changed on 06/15/21 at 05:47:59 by Sebastian Huber <sebastian.huber@…>

In c70715b/rtems-docs:

c-user: Use a common phrase for pointer parameters

Mention the type of the pointer in the parameter description. Use the
more general term "object" instead of "variable".

Update #3993.

comment:103 Changed on 06/15/21 at 08:40:28 by Sebastian Huber <sebastian.huber@…>

In 6abdd89/rtems:

Use a common phrase for pointer parameters

Mention the type of the pointer in the parameter description. Use the
more general term "object" instead of "variable".

Update #3993.

comment:104 Changed on 07/27/21 at 05:43:11 by Sebastian Huber <sebastian.huber@…>

In c4eafae2/rtems:

rtems: Generate <rtems/irq-extension.h>

Use <rtems/score/chain.h> which just provides the data types and avoid a
dependency on <rtems/chain.h> which contains the full chain
implementation.

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Update #3269.
Update #3899.
Update #3993.

comment:105 Changed on 08/02/21 at 05:15:51 by Sebastian Huber <sebastian.huber@…>

In d999f865/rtems:

rtems: Generate <rtems/bspIo.h>

Change license to BSD-2-Clause according to file histories and
documentation re-licensing agreement.

Place the group into the I/O Manager group. Add all source files to the
group.

Update #3899.
Update #3993.
Update #4482.

comment:106 Changed on 01/26/22 at 13:27:56 by Sebastian Huber

Resolution: fixed
Status: acceptedclosed

Work is done.

comment:107 Changed on 01/26/22 at 13:28:19 by Sebastian Huber

Keywords: qualification added

comment:108 Changed on 10/04/22 at 08:39:36 by Sebastian Huber <sebastian.huber@…>

In cc43dc3e/rtems:

rtems: Clarify application config info API

Update #3993.

Note: See TracTickets for help on using tickets.